## edu.stanford.nlp.util
Class XMLUtils.XMLTag

    java.lang.Object
      edu.stanford.nlp.util.XMLUtils.XMLTag

Enclosing class:
  XMLUtils

    public static class XMLUtils.XMLTag

extends Object

Field Summary
`Map<String,String>` `attributes`
`boolean` `isEndTag`
`boolean` `isSingleTag`
`String` `name`
`String` `text`

Constructor Summary
`XMLUtils.XMLTag(String tag)` Assumes that String contains XML tag.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    public String text

### name

    public String name

### attributes

    public Map<String,String> attributes

### isEndTag

    public boolean isEndTag

### isSingleTag

    public boolean isSingleTag

Constructor Detail

### XMLUtils.XMLTag

    public XMLUtils.XMLTag(String tag)
                    throws Exception

  Assumes that String contains XML tag.

  Throws:
    `Exception`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Stanford NLP Group